/** Copyright (C) 2017 by Bundesanstalt für Gewässerkunde
 * Software engineering by
 *  Björnsen Beratende Ingenieure GmbH
 *  Dr. Schumacher Ingenieurbüro für Wasser und Umwelt
 *
 * This file is Free Software under the GNU AGPL (>=v3)
 * and comes with ABSOLUTELY NO WARRANTY! Check out the
 * documentation coming with Dive4Elements River for details.
 */
package org.dive4elements.river.artifacts.sinfo.flood_duration;

import org.dive4elements.river.artifacts.common.ResultFacet;
import org.dive4elements.river.artifacts.sinfo.flood_duration.FloodDurationCalculationResult.Infrastructure;
import org.dive4elements.river.artifacts.states.DefaultState.ComputeType;

/**
 * @author Domenico Nardi Tironi
 *
 */
public class InfrastructureResultFacet extends ResultFacet {

    private static final long serialVersionUID = 1L;

    private final Infrastructure m_infrastructure;

    public InfrastructureResultFacet(final int facetIndex, final int resultIndex, final String name, final String description, final String axisLabel,
            final String id, final String hash, final Infrastructure infrastructure) {
        super(facetIndex, resultIndex, name, description, axisLabel, ComputeType.ADVANCE, id, hash);
        this.m_infrastructure = infrastructure;
    }

    public Infrastructure getInfrastructure() {
        return this.m_infrastructure;
    }
}
